	$(function() {
		vai=0;
		home=0;
		
		
		$('#book').hide(); 
		
		/*if (location.hash=="#meio" || location.hash=="#meioh"){ vai=1; }
		if (location.hash=="#meioh"){ $('.voltar').attr( "href" , "home/#meio"); }*/

	    $('#book').booklet({
			width: 936,
			height: 590,
	        arrows: true,
			hash: true,
			pagePadding: 0,
			closed: true,
			manual: false,
			overlays: false,
			shadows: true,
			hovers:   false,
			pageNumbers: true,
			after: meio()
	    });
		

		
		$('.b-arrow').click(function() {
			getpagina();
			setpagina();
			testes();	
		});
		

	    $('#apag_num').click(function(e){
	    	        e.preventDefault();
		    		var val=parseInt( $('#numero_da_pagina').val());
	    	        if (val > 0){	    	        
		    	        location.href="#/pag/"+val+"/";
	    	        }
	    });

		function meio(){ 
			$('#loading').hide(); 
			$('#book').show(); 
			if (vai){ 
				$.scrollTo("700px", "slow"); 
			} 
		}


		$('#azoomdir').click(function(e){
			e.preventDefault();
			getpagina();
			zoom(revista_actual, pagina);
		});
		$('#azoomesq').click(function(e){
			e.preventDefault();
			getpagina();
			zoom(revista_actual, pagina -1);
		});
		
		getpagina();
		setpagina();
		testes();
		

	});
	
		function testes(){
			if (pagina==1) 		{
				$("#zoomesq").hide();
				$("#zoomdir").show();
				$(".b-counter").hide();
			} else if (pagina > maxpaginas){
				$("#zoomesq").show();
				$("#zoomdir").hide();
				$(".b-counter").hide();
			} else {
				$("#zoomesq").show();
				$("#zoomdir").show();
				$(".b-counter").show();
			}
		}

		function salta(){ $.scrollTo("700px", "slow"); }
		function acima(){ $.scrollTo("0px", "slow"); }


		function pag_revista(pagnr){
			location.hash="#/page/"+pagnr+"/";
			getpagina();
			setpagina();
			//acima();
			testes();
			
		}
		
		function getpagina(){
				if (location.hash.indexOf("#/page/") != -1);
				pagina= parseInt(location.hash.substring(7));
		}
		
		function setpagina(){
			if (pagina > 1)
				$.post("revistapag/" + revista_actual + "/" + (pagina-1) + "/");
			if (pagina < maxpaginas)
				$.post("revistapag/" + revista_actual + "/" + pagina + "/");
		}
		
		
		function zoom(r,p){
			$.fancybox({ 
					opacity: true,
					margin:0,
					padding: 0, 
					scrolling: 'no',
					'autoScale' : true, 			        	
					'autoDimensions'	: true,
					showCloseButton: false,
					overlayColor: "#000000", 
					href: "zoom.php?r="+r+"&p="+p 
			});
		}
		
		function print_popup(r){
			$.fancybox({ 
					opacity: true,
					margin:0,
					padding: 0, 
					scrolling: 'no',
					'autoScale' : true, 			        	
					'autoDimensions'	: true,
					showCloseButton: false,
					overlayColor: "#000000", 
					href: "print.php?r="+r 
			});
		}
		
		function popup(p){
			$.fancybox({ 
					opacity: true,
					margin:0,
					padding: 0, 
					scrolling: 'no',
					'autoScale' : true, 			        	
					'autoDimensions'	: true,
					showCloseButton: false,
					overlayColor: "#000000", 
					href: p+".php" 
			});
		}